Security Enhanced Linux Reference Policy

# Layer: services

## Module: afs

Interfaces

### Description:

Andrew Filesystem server

### Interfaces:

afs_admin( domain , role )

##### Summary

All of the rules required to administrate an afs environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the afs domain.

afs_domtrans( domain )

##### Summary

Execute a domain transition to run the afs client.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

afs_initrc_domtrans( domain )

##### Summary

Execute afs server in the afs domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

afs_rw_cache( domain )

##### Summary

read/write afs cache files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

afs_rw_udp_sockets( domain )

##### Summary

Read and write afs client UDP sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return